Skip to content
Permalink
Browse files

Require webdrivers Rakefile only in dev

  • Loading branch information
harigopal committed Jun 11, 2019
1 parent 98d806b commit 410215ecd3616bfdfacc193396454338bcd464b2
Showing with 6 additions and 7 deletions.
  1. +6 −7 Rakefile
@@ -1,14 +1,13 @@
# Add your own tasks in files placed in lib/tasks ending in .rake,
# for example lib/tasks/capistrano.rake, and they will automatically be available to Rake.

require File.expand_path('config/application', __dir__)

Rails.application.load_tasks

# Update the ruby-advisory-db and run audit
task default: 'bundler:audit'

# Requiring webdrivers tasks manually should not be required in Rails, as per the documentation,
# but it's necessary as of Rails v5.2.3 and Webdrivers v4.0.0.
require 'webdrivers'
load 'webdrivers/Rakefile'
# Requiring webdrivers tasks manually should not be required in Rails, as per the documentation, but it's necessary as
# of Rails v5.2.3 and Webdrivers v4.0.0.
if Rails.env.development?
require 'webdrivers'
load 'webdrivers/Rakefile'
end

0 comments on commit 410215e

Please sign in to comment.
You can’t perform that action at this time.